"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/member/signin.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
const _sfc_main = {
  __name: "s-block",
  props: {
    styles: {
      type: Object,
      default() {
      }
    }
  },
  setup(__props) {
    const props = __props;
    const elBackground = common_vendor.computed(() => {
      if (props.styles) {
        if (props.styles.bgType === "color")
          return { background: props.styles.bgColor };
        if (props.styles.bgType === "img")
          return {
            background: `url(${sheep_index.sheep.$url.cdn(
              props.styles.bgImage
            )}) no-repeat top center / 100% auto`
          };
      }
    });
    const elStyles = common_vendor.computed(() => {
      if (props.styles) {
        return {
          marginTop: `${props.styles.marginTop || 0}px`,
          marginBottom: `${props.styles.marginBottom || 0}px`,
          marginLeft: `${props.styles.marginLeft || 0}px`,
          marginRight: `${props.styles.marginRight || 0}px`,
          paddingTop: `${props.styles.paddingTop || 0}px`,
          paddingRight: `${props.styles.paddingRight || 0}px`,
          paddingBottom: `${props.styles.paddingBottom || 0}px`,
          paddingLeft: `${props.styles.paddingLeft || 0}px`,
          borderTopLeftRadius: `${props.styles.borderTopLeftRadius || 0}px`,
          borderTopRightRadius: `${props.styles.borderTopRightRadius || 0}px`,
          borderBottomRightRadius: `${props.styles.borderBottomRightRadius || 0}px`,
          borderBottomLeftRadius: `${props.styles.borderBottomLeftRadius || 0}px`,
          overflow: "hidden"
        };
      }
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.s(elStyles.value),
        b: common_vendor.s(elBackground.value)
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/zx/mall-front-app/sheep/components/s-block/s-block.vue"]]);
wx.createComponent(Component);
